Options

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.JFlex
Class Options

    java.lang.Object
      weka.core.parser.JFlex.Options

    public class Options

extends java.lang.Object

Collects all global JFlex options. Can be set from command line parser, ant taks, gui, etc.

Version:
  JFlex 1.4.1, $Revision: 1.1 $, $Date: 2008-05-09 09:14:10 $
Author:
  Gerwin Klein

Field Summary
`static boolean` | `DEBUG` If true, additional verbose debug information is produced This is a compile time option
`static boolean` | `dot` If true, jflex will write graphviz .dot files for generated automata
`static boolean` | `dump` If true, you will be flooded with information (e.g.
`static int` | `gen_method` default code generation method
`static boolean` | `jlex` strict JLex compatibility
`static boolean` | `no_backup` don't write backup files if this is true
`static boolean` | `no_minimize` don't run minimization algorithm if this is true
`static int` | `PACK` code generation method: maximum packing
`static boolean` | `progress` If true, progress dots will be printed
`static int` | `SWITCH` code generation method: switch statement
`static int` | `TABLE` code generation method: traditional
`static boolean` | `time` If true, jflex will print time statistics about the generation process
`static boolean` | `verbose` If false, only error/warning output will be generated

Constructor Summary
`Options()`

Method Summary
`static java.io.File` | `getDir()`
`static void` | `setDefaults()` Sets all options back to default values.
`static void` | `setDir(java.io.File d)` Set output directory
`static void` | `setDir(java.lang.String dirName)` Set output directory
`static void` | `setSkeleton(java.io.File skel)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

  If true, additional verbose debug information is produced This is a compile time option

  See Also:
    Constant Field Values

### PACK

    public static final int PACK

  code generation method: maximum packing

  See Also:
    Constant Field Values

### TABLE

    public static final int TABLE

  code generation method: traditional

  See Also:
    Constant Field Values

### SWITCH

    public static final int SWITCH

  code generation method: switch statement

  See Also:
    Constant Field Values

### jlex

    public static boolean jlex

  strict JLex compatibility

### no_minimize

    public static boolean no_minimize

  don't run minimization algorithm if this is true

### no_backup

    public static boolean no_backup

  don't write backup files if this is true

### gen_method

    public static int gen_method

  default code generation method

### verbose

    public static boolean verbose

  If false, only error/warning output will be generated

### progress

    public static boolean progress

  If true, progress dots will be printed

### time

    public static boolean time

  If true, jflex will print time statistics about the generation process

### dot

    public static boolean dot

  If true, jflex will write graphviz .dot files for generated automata

### dump

    public static boolean dump

  If true, you will be flooded with information (e.g. dfa tables).

Constructor Detail

### Options

    public Options()

Method Detail

### getDir

    public static java.io.File getDir()

  Returns:
    the output directory

### setDir

    public static void setDir(java.lang.String dirName)

  Set output directory

  Parameters:
    `dirName` - the name of the directory to write output files to

### setDir

    public static void setDir(java.io.File d)

  Set output directory

  Parameters:
    `d` - the directory to write output files to

### setDefaults

    public static void setDefaults()

  Sets all options back to default values.

### setSkeleton

    public static void setSkeleton(java.io.File skel)

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD